> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/convert/get-convert-history/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get convert history GET https://www.okx.com/api/v5/asset/convert/history Retrieve the history of executed convert trades, available for the past year. Reference: https://okx-demo.ferndocs.com/api/api-reference/convert/get-convert-history ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Request ### Query parameters - `after` (string, optional) — Pagination of data to return records earlier than the requested time (exclusive), Unix timestamp in milliseconds. - `before` (string, optional) — Pagination of data to return records newer than the requested time (exclusive), Unix timestamp in milliseconds. - `limit` (string, optional) — Number of results per request. The maximum is 100 and the default is 100. - `tag` (string, optional) — Order tag. A combination of case-sensitive alphanumerics, all numbers, or all letters of up to 16 characters. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5AssetConvertHistoryGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5AssetConvertHistoryGetResponsesContentApplicationJsonSchemaDataItems - `tradeId` (string, optional) — Trade ID of the convert transaction. - `clTReqId` (string, optional) — Client-supplied order ID. - `instId` (string, optional) — Currency pair, e.g. BTC-USDT. - `baseCcy` (string, optional) — Base currency, e.g. BTC in BTC-USDT. - `quoteCcy` (string, optional) — Quote currency, e.g. USDT in BTC-USDT. - `side` (string, optional) — Trade side based on the base currency. - `fillPx` (string, optional) — Filled price based on the quote currency. - `fillBaseSz` (string, optional) — Filled amount of the base currency. - `fillQuoteSz` (string, optional) — Filled amount of the quote currency. - `state` (string, optional) — Trade state. fullyFilled: success; rejected: failed. - `ts` (string, optional) — Convert trade time, Unix timestamp in milliseconds. ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ { "tradeId": "trader16461885203381437", "clTReqId": "", "instId": "ETH-USDT", "baseCcy": "ETH", "quoteCcy": "USDT", "side": "buy", "fillPx": "2932.401044", "fillBaseSz": "0.01023052", "fillQuoteSz": "30", "state": "fullyFilled", "ts": "1646188520000" } ] } ``` **SDK Code** ```python convert_getConvertHistory_example import requests url = "https://www.okx.com/api/v5/asset/convert/history" headers = {"OK-ACCESS-KEY": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript convert_getConvertHistory_example const url = 'https://www.okx.com/api/v5/asset/convert/history'; const options = {method: 'GET', headers: {'OK-ACCESS-KEY': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go convert_getConvertHistory_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/asset/convert/history" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("OK-ACCESS-KEY", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby convert_getConvertHistory_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/asset/convert/history") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["OK-ACCESS-KEY"] = '' response = http.request(request) puts response.read_body ``` ```java convert_getConvertHistory_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/asset/convert/history") .header("OK-ACCESS-KEY", "") .asString(); ``` ```php convert_getConvertHistory_example request('GET', 'https://www.okx.com/api/v5/asset/convert/history', [ 'headers' => [ 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp convert_getConvertHistory_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/asset/convert/history"); var request = new RestRequest(Method.GET); request.AddHeader("OK-ACCESS-KEY", ""); IRestResponse response = client.Execute(request); ``` ```swift convert_getConvertHistory_example import Foundation let headers = ["OK-ACCESS-KEY": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/asset/convert/history")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```